Skip to content

Configuration

All operations require authentication.

7 operationsv1/domain/zone
Agent setup

Get the SOA recordProduction

GET
/1.0/domain/zone/{zoneName}/soa

Returns the SOA of the zone: primary server, administrator email, serial, refresh, expire, TTL and negative-response TTL.

Path parameters

zoneName
required
string

Zone name

Response

200Soasuccessful operation
email
string

Email address of the DNS Administrator

expire
integer

When a zone transfer fails, a countdown clock begins. When the number of seconds set in the expire field elapses, the nameserver stops answering for that zone file

nxDomainTtl
integer

Non-Existent Domain TTL, if the name server returns a negative response, the remote server should wait the number of seconds set in the nxDomainTtl field before trying again

refresh
integer

The refresh value determines the interval in seconds between successful zone transfers of the entire zone file from a nameserver to another.

serial
integer

The serial number is used to indicate which copy of the zone file is the most current. When editing zone files, you must increment the serial number

server
string

Primary authoritative server

ttl
integer

Time To Live in seconds

Example uses zoneName = string

$ curl https://api.eu.ovhcloud.com/1.0/domain/zone/{zoneName}/soa \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "email": "string", "expire": 0, "nxDomainTtl": 0, "refresh": 0, "serial": 0, "server": "string", "ttl": 0}

Update the SOA recordProduction

PUT
/1.0/domain/zone/{zoneName}/soa

Updates the SOA values of the zone.

Path parameters

zoneName
required
string

Zone name

Request body (required)

email
string

Email address of the DNS Administrator

expire
integer

When a zone transfer fails, a countdown clock begins. When the number of seconds set in the expire field elapses, the nameserver stops answering for that zone file

nxDomainTtl
integer

Non-Existent Domain TTL, if the name server returns a negative response, the remote server should wait the number of seconds set in the nxDomainTtl field before trying again

refresh
integer

The refresh value determines the interval in seconds between successful zone transfers of the entire zone file from a nameserver to another.

serial
integer

The serial number is used to indicate which copy of the zone file is the most current. When editing zone files, you must increment the serial number

server
string

Primary authoritative server

ttl
integer

Time To Live in seconds

Response

200—successful operation

Example uses zoneName = string

$ curl https://api.eu.ovhcloud.com/1.0/domain/zone/{zoneName}/soa \
  -H "authorization: Bearer $OVH_TOKEN"

Get the DNSSEC statusProduction

GET
/1.0/domain/zone/{zoneName}/dnssec

Returns the DNSSEC status: enabled, disabled, or being enabled or disabled.

Path parameters

zoneName
required
string

Zone name

Response

200Dnssecsuccessful operation
status
read-only
DnssecStatusEnum

DNSSEC Status

ValuesdisableInProgressdisabledenableInProgressenabled

Example uses zoneName = string

$ curl https://api.eu.ovhcloud.com/1.0/domain/zone/{zoneName}/dnssec \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "status": "disableInProgress"}

Enable DNSSECProduction

POST
/1.0/domain/zone/{zoneName}/dnssec

Enables DNSSEC on the zone. The status is enableInProgress until it completes.

Path parameters

zoneName
required
string

Zone name

Response

200—successful operation

Example uses zoneName = string

$ curl https://api.eu.ovhcloud.com/1.0/domain/zone/{zoneName}/dnssec \
  -H "authorization: Bearer $OVH_TOKEN"

Disable DNSSECProduction

DELETE
/1.0/domain/zone/{zoneName}/dnssec

Disables DNSSEC on the zone. The status is disableInProgress until it completes.

Path parameters

zoneName
required
string

Zone name

Response

200—successful operation

Example uses zoneName = string

$ curl https://api.eu.ovhcloud.com/1.0/domain/zone/{zoneName}/dnssec \
  -H "authorization: Bearer $OVH_TOKEN"

List optionsProduction

GET
/1.0/domain/zone/{zoneName}/option

Returns the names of the zone options.

Path parameters

zoneName
required
string

Zone name

Response

200string[]successful operation

Example uses zoneName = string

$ curl https://api.eu.ovhcloud.com/1.0/domain/zone/{zoneName}/option \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ "string"]

Get an optionProduction

GET
/1.0/domain/zone/{zoneName}/option/{name}

Returns a zone option: its name.

Path parameters

name
required
string

Name

zoneName
required
string

Zone name

Response

200Optionsuccessful operation
name
read-only
string

The option name

Example uses name = string, zoneName = string

$ curl https://api.eu.ovhcloud.com/1.0/domain/zone/{zoneName}/option/{name} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "name": "string"}